[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SetDebuggingEnabled

Temporary enables or disables debugging

## Declaration

Source position: dbugintf.pp line 37

`procedure SetDebuggingEnabled(`
`const AValue: Boolean`
`);`

## Arguments

`AValue` |  | Should sending of debug messages be enabled or not

## Description

SetDebuggingEnabled can be used to temporarily enable or disable sending of debug messages: this allows to control the amount of messages sent to the debug server without having to remove the SendDebug statements. By default, debugging is enabled. If set to false, debug messages are simply discarded till debugging is enabled again.

A value of True enables sending of debug messages. A value of False disables sending.

## Errors

None.

## See also

GetDebuggingEnabled |  | Check if sending of debug messages is enabled.
SendDebug |  | Send a message to the debug server.

Documentation generated on: Feb 26 2014